﻿@model ALK.Models.ChangeUserDataModel

@{
    ViewBag.Title = "ChangeUserData";
}

<h2>ChangeUserData</h2>

@using (Html.BeginForm("ChangeUserData", "Manage", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()

<div class="form-horizontal">
    <h4>ChangeUserDataModel</h4>
    <hr />
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    @Html.HiddenFor(model => model.Id)

    <div class="form-group">
        @Html.LabelFor(model => model.FirstName, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.FirstName, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.FirstName, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.LastName, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.LastName, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.LastName, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.DisplayName, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.DisplayName, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.DisplayName, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.BirthDate, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.BirthDate, new { htmlAttributes = new { @class = "form-control datepicker"} })
            @*<input type="date" name="BirthDate" id="BirthDate" class="from-control" value="@($"{Model.BirthDate:yyyy-MM-dd}")"*@
            @Html.ValidationMessageFor(model => model.BirthDate, "", new { @class = "text-danger" })
        </div>
    </div>



    @Html.HiddenFor(x => x.PictureId)

    <input type="hidden" name="oldImageId" id="oldImageId" value="@ViewBag.PictureId" />

    <div class="form-group">
        <label class="control-label col-md-2">Change picture</label>
        <div class="col-md-10">
            <input type="file" name="file" id="file" />
        </div>
    </div>

    <div class="form-group">
        <label class="control-label col-md-2">
            <img src="@Url.Action("Content", "My", new { id = Model.PictureId})" height="140" class="col-md-10" id="pilt">
            @*<a href="@Url.Action("RemovePicutre","Products",new {PicturesId =Model.PictureId, ProductId= Model.PictureId  })">Delete</a>*@
        </label>
    </div>


    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="Save" class="btn btn-default" />
        </div>
    </div>
</div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>


<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>

<script>
    // siit edasi on minu kirjutatud
    // readURL vaatab, kas laeti üles fail (esialgu brauseris)
    function readURL(input) {
        if (input.files && input.files[0]) {
            //var reader = new FileReader();
            var reader = new FileReader();   // tekitab faililugeja

            //reader.onload = function (e) {
            //    $('#pilt').attr('src', e.target.result);
            reader.onload = function (e) { // lisab faililugejale eventi
                $('#pilt').attr('src', e.target.result); // ja see event vahetab elemendi
                // id="pilt" sisu välja loetud faili sisuga
            }
            //reader.readAsDataURL(input.files[0]);
            reader.readAsDataURL(input.files[0]); // ja seejärel käivitatakse lugeja
        }
    }
    // kui lehekülg (dokument) on lõpuni laetud, siis lisame talle funktsiooni
    // käivitatakse, kui laetud
    // see funktsioon leiab elemendi id="file" ja lisab talle event-funktsiooni change
    // mis kutsub change (kui see element muutub) puhul välja readURL (vt üleval)
    $(document).ready(function () {
        $("#file").change(function () {
            readURL(this);
        });
    });

</script>